curl --request POST \
--url https://api.bambumeta.software/brands/{brand_id}/attributes \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "memberId",
"dataType": "string",
"searchable": true,
"unique": true
}
'import requests
url = "https://api.bambumeta.software/brands/{brand_id}/attributes"
payload = {
"name": "memberId",
"dataType": "string",
"searchable": True,
"unique": True
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'memberId', dataType: 'string', searchable: true, unique: true})
};
fetch('https://api.bambumeta.software/brands/{brand_id}/attributes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"brandAttributeId": 8,
"name": "memberId",
"dataType": "string",
"searchable": true,
"unique": true
}Create a brand attribute
Defines a new custom attribute field for the brand (for example encrypted, searchable, or standard columns).
Authorizations
Path Parameters
Brand Identifier
Body
The brand attribute creation input
Attribute name
Description of the Attribute
Unique identifier for the brand
Is the attribute required
Is the attribute encrypted
Is the attribute searchable
Is the attribute unique
Status code for the brand attribute
Valid values: 'string'|'number'|'boolean'|'date', in not provided, assumes string.
Show child attributes
Show child attributes
Response
OK
Unique identifier for the brand attribute
Attribute name
Description of the Attribute
Unique identifier for the brand
Is the attribute required
Is the attribute encrypted
Is the attribute searchable
Is the attribute unique
Status code for the brand attribute
Valid values: 'string'|'number'|'boolean'|'date', in not provided, assumes string.
Show child attributes
Show child attributes